﻿#language: ru

@quality_control

Функционал: 03_quality_control. Создание документа Корректировка нормативного времени нахождения

Сценарий: 03_quality_control. Создание документа Корректировка нормативного времени нахождения
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	Дано Я открываю основную форму списка документа "к2КорректировкаНормативногоВремениНахождения"
	Тогда открылось окно 'Корректировки нормативного времени нахождения'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Корректировка нормативного времени нахождения (создание)'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Корректировка нормативного времени нахождения (создание) *'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Корректировка нормативного времени нахождения (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно "Рабочие центры"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Корректировка нормативного времени нахождения (создание) *'		
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Корректировка нормативного времени нахождения (создание) *'
	И в поле 'Норма времени' я ввожу текст '38'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Корректировка нормативного времени нахождения (создание) *' в течение 20 секунд
	Тогда открылось окно 'Корректировки нормативного времени нахождения'
	И я закрываю окно 'Корректировки нормативного времени нахождения'
